Skip to main content

Batch Get Transactions

Batch fetch transactions by digest using LedgerService/BatchGetTransactions. Use read masks to optimize payload size and select specific fields.

Service​

sui.rpc.v2.LedgerService

Parity​

Direct

This method has a direct mapping from the JSON-RPC method sui_multiGetTransactionBlocks.

Request​

Parameters​

{
"digests": [
"3K9vANixTZQ49DMyt5yYeP3P8M5RupBcVFt6SZ9hquxJ",
"4Vq6EDRUQgkVpSezWFUSgxB3cdT4fvZPGSU4dyW98ZX1"
],
"read_mask": {
"paths": [
"transaction",
"effects",
"events"
]
}
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"digests":["3K9vANixTZQ49DMyt5yYeP3P8M5RupBcVFt6SZ9hquxJ","4Vq6EDRUQgkVpSezWFUSgxB3cdT4fvZPGSU4dyW98ZX1"],"read_mask":{"paths":["transaction","effects","events"]}}' \
grpc.surflux.dev:443 \
sui.rpc.v2.LedgerService/BatchGetTransactions
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/ledger_service.proto definition.

Response Fields​

FieldTypeDescription
transactionsGetTransactionResultSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.